using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FiestaBot.Instances.Networking;
using FiestaBot.Manager.Networking;
using FiestaBot.Utilities;

namespace FiestaBot.Manager.Handlers
{
    internal class Manager08Handler
    {
        [ManagerPacketHandler(8, 21)]
        public static void PartyMessage(ManagerClient Socket, Packet Packet)
        {
            Packet.ReadString(out string Sender, 16);
            Packet.ReadByte(out byte Length);
            Packet.ReadString(out string Message, Length);

            Logger.Log(LogType.ChatParty, "[{0}]: {1}", Sender, Message);

            Packet.Dispose();
        }
    }
}
